#include "stdafx.h"

#include <mpi.h>


int main(int argc, char *argv[])
{
    int Pid;
	int numprocs;

	MPI_Init(&argc, &argv);
	MPI_Comm_size(MPI_COMM_WORLD,&numprocs);

	   // meine eigene ID
	MPI_Comm_rank(MPI_COMM_WORLD,&Pid);

	printf("   Pid: %d   anzProzesse: %d   \n",  Pid, numprocs);			

	if (Pid == 0) 
		printf("Ich bin der Master, Id: %d\n",Pid);
	else {
		printf("Ich bin ein Client ID: %d\n", Pid);
	}
	MPI_Finalize();

	return 0;
}










/*
    int myPid;
	int numprocs;

	MPI_Comm_size(MPI_COMM_WORLD,&numprocs);

	   // meine eigene ID
	MPI_Comm_rank(MPI_COMM_WORLD,&myPid);

    printf("   Pid: %d   anzProzesse: %d   \n", myPid, numprocs);			

*/